package com.quant.dao;

import java.util.List;

import com.quant.annotation.MyBatisRepository;
import com.quant.entity.CommonSubclass;
import com.quant.entity.News;
import com.quant.vo.NewsPageVo;
import com.quant.vo.ProductRelationVO;

@MyBatisRepository
public interface WebsiteMapper {
	
	Integer findRowsByNewsType(Integer newsType);
	List<News> findNewsList(NewsPageVo pageVo);
	News getNewsByNewsId(Integer newsId);
	List<CommonSubclass> findCommonSubclassList(int subclassId);
	News getNewsByNewsType(Integer newsType);
	List<News> getJobNews(Integer newsType);
	
	List<News> findHotNews(Integer newsType);
	
}